export interface PtOperatorVO {
  /**
   * 营业员Id,主键
   */
  operatorId: string | number;

  /**
   * 所属结算账户Id
   */
  accountId: string | number;

  /**
   * 营业员名称
   */
  operatorName: string;

  /**
   * 卡流水号，默认已有最大流水号+1
   */
  cardNumber: number;

  /**
   * 物理卡号,卡片出厂的唯一id
   */
  factoryId: string | number;

  /**
   * 营业员卡密码，会和硬件对接
   */
  cardPwd: string;

  /**
   * 营业员卡有效期，会和硬件对接
   */
  lifespan: string;

  /**
   * 备注
   */
  remark: string;

}

export interface PtOperatorForm extends BaseEntity {
  /**
   * 营业员Id,主键
   */
  operatorId?: string | number;

  /**
   * 所属结算账户Id
   */
  accountId?: string | number;

  /**
   * 营业员名称
   */
  operatorName?: string;

  /**
   * 卡流水号，默认已有最大流水号+1
   */
  cardNumber?: number;

  /**
   * 物理卡号,卡片出厂的唯一id
   */
  factoryId?: string | number;

  /**
   * 营业员卡密码，会和硬件对接
   */
  cardPwd?: string;

  /**
   * 营业员卡有效期，会和硬件对接
   */
  lifespan?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface PtOperatorQuery extends PageQuery {

  /**
   * 所属结算账户Id
   */
  accountId?: string | number;

  /**
   * 营业员名称
   */
  operatorName?: string;

  /**
   * 卡流水号，默认已有最大流水号+1
   */
  cardNumber?: number;

  /**
   * 物理卡号,卡片出厂的唯一id
   */
  factoryId?: string | number;

  /**
   * 营业员卡有效期，会和硬件对接
   */
  lifespan?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



