export interface XfCreditaccountVO {
  /**
   * 收支Id
   */
  creditId: string | number;

  /**
   * 学/工号
   */
  userNumb: string;

  /**
   * 用户姓名
   */
  realName: string;

  /**
   * 部门名称
   */
  deptName: string;

  /**
   * 设备机号
   */
  termNo: number;

  /**
   * 设备名称
   */
  termName: string;

  /**
   * 卡上余额
   */
  cardValue: number;

  /**
   * 卡片类型名称
   */
  cardTypeName: string;

  /**
   * 钱包类型
   */
  bagType: string;

  /**
   * 工作站名称
   */
  stationName: string;

  /**
   * 营业员名称
   */
  operatorName: string;

  /**
   * 交易时间
   */
  creditTime: string;

  /**
   * 交易类型,见CREDITTYPE字典类型
   */
  creditType: string;

  /**
   * 资金来源,见PAYSTYLE字典类型
   */
  payStyle: string;

  /**
   * 交易金额
   */
  receiptMoney: number;

  /**
   * 核对状态，见sys_yes_no字典类型
   */
  auditStatus: string;

  /**
   * 核对时间
   */
  auditDate: string;

  /**
   * 消费记录标志位?
   */
  recordStatus: number;

  /**
   * 备注
   */
  remark: string;
}

export interface XfCreditaccountForm extends BaseEntity {}

export interface XfCreditaccountQuery extends PageQuery {
  /**
   * 学/工号
   */
  userNumb?: string;

  /**
   * 用户姓名
   */
  realName?: string;

  /**
   * 交易时间
   */
  creditTime?: string;

  /**
   * 交易类型,见CREDITTYPE字典类型
   */
  creditType?: string;

  /**
   * 资金来源,见PAYSTYLE字典类型
   */
  payStyle?: string;

  userId?: string | number;

  /**
   * 日期范围参数
   */
  params?: any;
}
