import { PtSubsidyitemForm, PtSubsidyitemVO } from "../ptSubsidyitem/types";

export interface PtSubsidyVO {
  /**
   * ID
   */
  mainId: string | number;

  /**
   * 补助名称
   */
  subsidyName: string | number;

  /**
   * 补助类型
   */
  subsidyType: string | number;

  /**
   * 补助金额
   */
  fillMoney: number;

  /**
   * 预计到账时间
   */
  fillDate: string;

  /**
   * 入账钱包
   */
  bagCode: number;

  /**
   * 到账状态
   */
  fillStatus: string;

  /**
   * 审核状态
   */
  auditStatus: string;

  /**
   * 审核人
   */
  auditUser: String;

  /**
   * 审核时间
   */
  auditDate: string;

  /**
   * 备注
   */
  remark: string;

}

export interface PtSubsidyForm extends BaseEntity {
  /**
   * ID
   */
  mainId?: string | number;

  /**
   * 补助名称
   */
  subsidyName?: string | number;

  /**
   * 补助类型
   */
  subsidyType?: string | number;

  /**
   * 补助金额
   */
  fillMoney?: number;

  /**
   * 预计到账时间
   */
  fillDate?: string;

  /**
   * 入账钱包
   */
  bagCode?: number;

  /**
   * 到账状态
   */
  fillStatus?: string;

  /**
   * 审核状态
   */
  auditStatus?: string;

  /**
   * 审核人
   */
  auditUser?: string;

  /**
   * 审核时间
   */
  auditDate?: string;

  /**
   * 备注
   */
  remark?: string;

  ptSubsidyItemList?: Array<PtSubsidyitemVO>

}

export interface PtSubsidyQuery extends PageQuery {

  /**
   * 补助名称
   */
  subsidyName?: string | number;

  /**
   * 补助类型
   */
  subsidyType?: string | number;

  /**
   * 预计到账时间
   */
  fillDate?: string;

  /**
   * 到账状态
   */
  fillStatus?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



